"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QueryIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _AelfIcon = require("../icon/AelfIcon.js");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var SVGComponent = function SVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8.627 13.986a5.922 5.922 0 1 0 0-11.844 5.922 5.922 0 0 0 0 11.844Zm5.493-.815 2.432 2.433a.79.79 0 1 1-1.13 1.103l-2.494-2.497A7.5 7.5 0 0 1 1.125 8.064a7.501 7.501 0 1 1 12.995 5.107Z"
  }));
};
SVGComponent.defaultProps = {
  viewBox: "0 0 18 18",
  fill: "currentColor",
  xmlns: "http://www.w3.org/2000/svg"
};
const componentName = 'QueryIcon';
const QueryIcon = exports.QueryIcon = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(_AelfIcon.AelfIcon, _extends({
    component: SVGComponent,
    componentName: componentName,
    defaultWidth: 18,
    defaultHeight: 18,
    ref: ref
  }, props));
});
QueryIcon.displayName = 'QueryIcon';