function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { AelfIcon } from "../icon/AelfIcon.js";
var SVGComponent = function SVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    d: "M15 8A7 7 0 1 1 1 8a7 7 0 0 1 14 0ZM5.225 5.826a.2.2 0 0 0 0 .282L7.116 8 5.225 9.892a.2.2 0 0 0 0 .282l.6.601a.2.2 0 0 0 .284 0L8 8.884l1.892 1.891a.2.2 0 0 0 .282 0l.601-.6a.2.2 0 0 0 0-.284L8.884 8l1.891-1.891a.2.2 0 0 0 0-.283l-.6-.601a.2.2 0 0 0-.283 0L8 7.116 6.11 5.225a.2.2 0 0 0-.283 0l-.601.6Z",
    fill: "#E0E0E0"
  }));
};
SVGComponent.defaultProps = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  fill: "none"
};
var componentName = 'CircleCloseIcon';
export var CircleCloseIcon = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(AelfIcon, _extends({
    component: SVGComponent,
    componentName: componentName,
    defaultWidth: 16,
    defaultHeight: 16,
    ref: ref
  }, props));
});
CircleCloseIcon.displayName = componentName;